Apara API - Payin with wallet (Gaming)get Order Status

Gaming Usecases

There are two ways to retrieve the current status of a transaction.


1. Listening for Payment Webhooks

We covered how to create a webhook listener in the Getting Started guide.

If you have not set this up yet, please refer back to that step to start receiving real-time updates.


2. Calling Get Order Details API

You can directly retrieve the latest transaction status by providing the order ID as a path parameter.


Request (Fiat / Crypto Payin Order):

curl --location 'https://sandbox-api.aparatech.io/v3/orders/OR-2512221500071811800' \
--header 'mid: SAH1N3_NA_NA' \
--header 'Authorization: Basic <BASE64>'
{
    "status": "success",
    "data": {
        "id": "OR-2509300734314251701",
        "status": "initiated",
        "type": "gaming",
        "purposeCode": "personal",
        "purposeCodeReason": "Personal payments",
        "source": {
            "currency": "USD",
            "amount": "10",
            "paymentType": "bank_transfer"
        },
        "destination": {
            "currency": "USDT",
            "amount": "9.047619"
        },
        "userId": "UX-250910053447199",
        "senderName": {
            "firstName": "Anubhav",
            "lastName": "B"
        },
        "mid": "ABCDEF_NA_NA",
        "fees": {
            "networkFee": 0,
            "rrFee": 0,
            "processingFee": 0.5,
            "fixedFee": {
                "totalFixedFees": 0,
                "totalFixedTfFees": 0,
                "totalFixedCxFees": 0,
                "fixedFeesCurrency": "USD",
                "fixedFeeDetails": {
                    "baseFeeFixedRate": 0,
                    "tfFeeFixedRate": 0,
                    "cxFeeFixedRate": 0,
                    "currency": ""
                }
            }
        }
    }
}